- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandSurface
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QWaylandSurface

The following members of class QWaylandSurface are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Properties

- `(obsolete)` size : const QSize

## Public Functions

`(obsolete)` QSize | size() const

## Signals

`(obsolete)` void | sizeChanged()

## Property Documentation

### size : const QSize

This property is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

use bufferSize or destinationSize instead

This property has been deprecated, use bufferSize or destinationSize instead.

Access functions:

QSize | size() const

Notifier signal:

void | sizeChanged()